Ubuntu 8.04 LTS / 9.04 / 9.10 / 10.04 LTS : openoffice.org vulnerability (USN-949-1)

Ubuntu Security Notice (C) 2010-2013 Canonical, Inc. / NASL script (C) 2010-2013 Tenable Network Security, Inc.


Synopsis :

The remote Ubuntu host is missing one or more security-related patches.

Description :

Marc Schoenefeld discovered that OpenOffice.org would run document
macros from the macro browser, even when macros were disabled. If a
user were tricked into opening a specially crafted document and
examining a macro, a remote attacker could execute arbitrary code with
user privileges.

Solution :

Update the affected packages.

Risk factor :

High / CVSS Base Score : 9.3
(CVSS2#AV:N/AC:M/Au:N/C:C/I:C/A:C)

Family: Ubuntu Local Security Checks

Nessus Plugin ID: 46836 ()

Bugtraq ID:

CVE ID: CVE-2010-0395